package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

import java.util.Optional;

public class Bed extends Sprite {
    public enum BedState {
        LEFT, RIGHT,
    }

    public String getSprite() {
        return getSprite(BedState.LEFT);
    }

    public String getSprite(Enum e) {
        return ResourceLoader.loadResource(switch (e) {
            case BedState.LEFT -> "bed/left.ans";
            case BedState.RIGHT -> "bed/right.ans";
            default -> throw new IllegalStateException("Unexpected value: " + e);
        });
    }

    @Override
    public Optional<Class<BedState>> getStates() {
        return Optional.of(BedState.class);
    }
}
